<?php

class GMR {
    
    private static $get;
    private static $post;
    private static $cookie;
    
    public static function get($var,$default=null) {
        return self::$get[$var] ?? $default;
    }
    
    public static function post($var,$default=null) {
        return self::$post[$var] ?? $default;
    }
    
    public static function cookie($var,$default=null) {
        return self::$cookie[$var] ?? $default;
    }
    
    public static function init() {
        
         add_action('plugins_loaded', ['GMR', 'captureRequestVars']);
    }
 
    public static function captureRequestVars() {
        //Store the original GET and POST data + cookies.
        self::$get = $_GET;
        self::$post = $_POST;
        self::$cookie = $_COOKIE;
 
        //If magic quotes are actually enabled in PHP,
        //we'll need to remove the slashes.
        if (function_exists('get_magic_quotes_gpc') && get_magic_quotes_gpc() ) {
            self::$get    = stripslashes_deep(self::$get);
            self::$post   = stripslashes_deep(self::$post);
            self::$cookie = stripslashes_deep(self::$cookie);
        }
    }
}

GMR::init();

