
<div class="gptMainWrapper">
    <h1>Редактирование задачи №<?php echo $task['id']; ?></h1>
    <?php foreach($messages as $message) : ?>
        <div class="notice notice-<?php echo $message['class']; ?> is-dismissible">
            <p><?php echo $message['text']; ?></p>
        </div>
    <?php endforeach; ?>    
    <form method="POST" class="gpt-master-settings-form">
        <?php echo gpt_master_render_settings_field('title',$task['title'],['type'=>'text','default'=>'','title'=>'Заголовок']); ?>
        <?php if ($task['source'] == 'RSS') : ?>
        <?php echo gpt_master_render_settings_field('description',$task['description'],['type'=>'textarea','default'=>'','title'=>'Описание']); ?>
        <?php echo gpt_master_render_settings_field('content',$task['content'],['type'=>'textarea','default'=>'','title'=>'Текст']); ?>
        <?php else : ?>
        <?php echo gpt_master_render_settings_field('keywords',$task['keywords'],['type'=>'textarea','default'=>'','title'=>'Ключевые слова']); ?>        
        <?php endif; ?>
        <?php echo gpt_master_render_settings_field('category',$task['category'],['type'=>'text','default'=>'','title'=>'Категория']); ?>

        <?php echo gpt_master_render_settings_field('lang',$task['lang'],['type'=>'select','list'=>['Russian'=>'Русский','English'=>'Английский','Spanish'=>'Испанский','French'=>'Французский','German'=>'Немецкий','Italian'=>'Итальянский','Dutch'=>'Голландский','Portuguese'=>'Португальский','Chinese'=>'Китайский','Japanese'=>'Японский','Korean'=>'Корейский','Arabic'=>'Арабский','Ukrainian'=>'Украинский'],'default'=>'Russian','title'=>'Язык']); ?>
        <?php echo gpt_master_render_settings_field('thumb',$task['thumb'],['type'=>'text','default'=>'','title'=>'Изображение']); ?>
        <?php echo gpt_master_render_settings_field('youtube',$task['youtube'],['type'=>'text','default'=>'','title'=>'YouTube видео']); ?>   
        <?php echo gpt_master_render_settings_field('custom_query',$task['custom_query'],['type'=>'textarea','default'=>'','title'=>'Пользовательские инструкции для написания материала']); ?>   
        <p class="submit"><input type="submit" name="submit" class="button button-primary" value="Сохранить"></p>
    </form>    
</div>