<?php

echo '<div class="wrap">';
echo '<h1>GPT Master</h1>';

echo '<div class="gpt-master-admin-toolbar">';
// Форма выбора CSV файла
echo '<form method="POST" enctype="multipart/form-data">';
echo '<input type="file" name="csv_file" class="gpt-master-csv-file" required>';
echo '<input type="submit" name="import_csv" value="Импортировать CSV" class="button button-primary">';
echo '</form>';
// Форма очистки данных
echo '<form method="POST">';
echo '<input type="submit" name="clear_data" value="Очистить данные" class="button">';
echo '</form>';
echo '<div class="gpt-master-cron-counter">Записи: '.$readyCounter.'/'.$allCounter.'</div>';//.' | Обработано сегодня: '.$current_day_calls.'/'.$max_daily_calls.'</div>';
echo '</div>';

echo $actionMessage;

// Вывод списка данных
echo '<table class="gpt-master-list-table wp-list-table widefat fixed striped" id="taskTable">';
echo '<thead>';
echo '<tr>';
echo '<th style="width:50px">ID</th>';
echo '<th>Заголовок</th>';
echo '<th>Категория</th>';
echo '<th>Язык</th>';
echo '<th>Источник</th>';
echo '<th>Ключевые слова</th>';
if (get_option('gpt_master_comment_status',0) == 1) {
    echo '<th>Комментарии</th>';
}
if (get_option('gpt_master_account_mode','outer_key') == 'inner_key') {
    echo '<th style="width:80px">Стоимость</th>';
}
echo '<th style="width:100px">Статус</th>';
echo '<th style="width:130px"></th>';
echo '</tr>';
echo '</thead>';
echo '<tbody>';
foreach ($data as $row) {
    echo '<tr id="task_row_'.$row->id.'">';
    echo '<td>' . $row->id . '</td>';
    echo '<td>' . ($row->status == GPT_MASTER_STATUS_READY?'<a href="/wp-admin/post.php?post='.$row->post_id.'&action=edit" target="_blank">':'<span>').$row->title . ($row->status == GPT_MASTER_STATUS_READY?'</a>':'</span>').'</td>';
    echo '<td>' . $row->category . '</td>';
    echo '<td>' . $row->langTranslate . '</td>';
    echo '<td>' . $row->source . '</td>';
    echo '<td>' . $row->keywords . '</td>';
    if (get_option('gpt_master_comment_status',0) == 1) {
        echo '<td>';
        echo ($row->comment_count > 0) ? '<a href="edit-comments.php?post_id='.$row->post_id.' target="_blank">' . $row->comment_count . '</a>' : $row->comment_count;
        echo '</td>';
    }    
    
    if (get_option('gpt_master_account_mode','outer_key') == 'inner_key') {
        echo '<td>';
        echo ($row->price > 0) ? '<span class="gpt-master-price-symbol-small"></span><span class="gpt-master-price-value">'.$row->price.'</span>' : '';
        echo '</td>';       
    }
    echo '<td><b>' . $row->statusTranslate . '</b><br/><small>'.$row->ready_time.'</small></td>';
    echo '<td><div class="gpt-master-task-action-panel">';
    

    echo '<a class="button" href="#" data-action=\''.json_encode(['action'=>'task_moderate','task_id'=>$row->id]).'\' title="'.($row->status == GPT_MASTER_STATUS_MODERATION?'Одобрить в работу':'Исключить из задач').'">'.
            '<i '.($row->status == GPT_MASTER_STATUS_MODERATION?'class="far fa-eye-slash"':'class="far fa-eye"').'></i></a>';
    echo '<a class="button" href="?page=gpt-master&task_id='.$row->id.'" title="Редактировать">'.
            '<i class="fa fa-edit"></i></a>';    
    echo '<a class="button" href="#" data-action=\''.json_encode(['action'=>'task_redo','task_id'=>$row->id]).'\' title="Переделать">'.
            '<i class="fa fa-recycle"></i></a>';    
    echo '<a class="button" href="#" data-action=\''.json_encode(['action'=>'task_remove','task_id'=>$row->id]).'\' title="Удалить">'.    
            '<i class="fa fa-trash"></i></a>';
    
    echo '</div></td></tr>';
}
echo '</tbody>';
echo '</table>';

echo '</div>';