

<h2 class="nav-tab-wrapper">
    <?php foreach($tabs as $tabKey=>$tabTitle) : 
        $selected = ($tabKey == $currentTab) ? ' nav-tab-active' : '';
    ?>
        <a href="?page=gpt-master-settings&tab=<?php echo $tabKey; ?>" class="nav-tab<?php echo $selected; ?>"><?php echo $tabTitle; ?></a>
    <?php endforeach; ?>
</h2>
<?php
if (isset($block_tab_message)) {
    $settingsHtml = '<div class="notice notice-warning inline"><p>'.$block_tab_message.'</p></div>';
} else {
    $settingsHtml = '<form method="POST" class="gpt-master-settings-form">';
    $oldSection = false;
    foreach($settings as $key=>$setting) {
        if ($setting['tab'] != $currentTab) continue;
        $value = get_option('gpt_master_'.$key,$setting['default']);
        $section = isset($setting['section']) ? $setting['section'] : false;
        if ($section != $oldSection && $oldSection != false) {
            $settingsHtml .= '</fieldset>';
        } 
        if ($section) {
            $settingsHtml .= '<fieldset class="gpt-master-section"><legend class="gpt-master-legend">'.$section.'</legend>';
            $oldSection = $section;
        } else {
            $oldSection = false;
        }
        $settingsHtml .= gpt_master_render_settings_field($key,$value,$setting);
        if ($key == 'account_mode') $settingsHtml .= '<hr/>';
    }
    
    if ($oldSection) {
        $settingsHtml .= '</fieldset>';
    }

    $settingsHtml .= '<p class="submit"><input type="submit" name="submit" class="button button-primary" value="Сохранить настройки"></p></form></div>';    
}

echo $settingsHtml;